unit Unit1;

{$mode objfpc}{$H+}

interface

uses
 Classes, SysUtils, FileUtil, UniqueInstance, Forms, Controls, Graphics,
 Dialogs, StdCtrls;

type

 { TForm1 }

 TForm1 = class(TForm)
  btnClose: TButton;
  memParam: TMemo;
  UniInstance: TUniqueInstance;
  procedure btnCloseClick(Sender: TObject);
  procedure FormCreate(Sender: TObject);
  procedure UniInstanceOtherInstance(Sender: TObject; ParamCount: Integer;
   Parameters: array of String);
 private
  { private declarations }
 public
  { public declarations }
 end;

var
 Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.btnCloseClick(Sender: TObject);
begin
 Close
end;

procedure TForm1.FormCreate(Sender: TObject);
var
    i: Integer;
begin
 memParam.Clear;

 memParam.Lines.Add('FormCreate');
 memParam.Lines.Add('ParamCount: ' + IntToStr(ParamCount));
 for i := 1 to ParamCount do
  memParam.Lines.Add(Format('Parameter %d/%d: "%s"', [i + 1, ParamCount, ParamStr(i)]));

 Application.BringToFront;
end;

procedure TForm1.UniInstanceOtherInstance(Sender: TObject; ParamCount: Integer;
 Parameters: array of String);
var
    i: Integer;
begin
 memParam.Clear;

 memParam.Lines.Add('UniInstanceOtherInstance');
 memParam.Lines.Add('ParamCount: ' + IntToStr(ParamCount));
 for i := 0 to ParamCount - 1 do
  memParam.Lines.Add(Format('Parameter %d/%d: "%s"', [i + 1, ParamCount, Parameters[i]]));

 Application.BringToFront;
end;

end.

